from modelo import CorreoModelo
from tkinter import messagebox

class CorreoControlador:
    def __init__(self):
        self.modelo = CorreoModelo()

    def descargar_correos(self):
        resultado = self.modelo.descargar_correos()
        if resultado is True:
            messagebox.showinfo("Éxito", "Correos descargados correctamente")
        else:
            messagebox.showerror("Error", f"Error al descargar correos: {resultado}")
        self.vista.actualizar_lista()

    def obtener_correos(self):
        return self.modelo.obtener_correos()
